org.deidentifier.arx.gui.view.impl.common

## Class ComponentStatusLabel

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.swt.widgets.Canvas
          - - org.deidentifier.arx.gui.view.impl.common.ComponentStatusLabel

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public class ComponentStatusLabel
    extends org.eclipse.swt.widgets.Canvas

A label that can display animated GIFs. Adapted from https://stackoverflow.com/questions/6896632/is-there-a-custom-label-widget-which-supports-animated-gif

### Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Constructor Summary

Constructors
Constructor and Description
`ComponentStatusLabel(org.eclipse.swt.widgets.Composite parent, int style)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.graphics.Point` `computeSize(int wHint, int hHint, boolean changed)`
`void` `dispose()`
`int` `getAlignment()` Returns the alignment
`int` `getBottomMargin()` Returns a margin
`org.eclipse.swt.graphics.Image` `getImage()` Returns the image
`int` `getLeftMargin()` Returns a margin
`int` `getRightMargin()` Returns a margin
`int` `getStyle()`
`java.lang.String` `getText()` Returns the text
`java.lang.String` `getToolTipText()`
`int` `getTopMargin()` Returns a margin
`void` `setAlignment(int align)` Sets the alignment
`void` `setBackground(org.eclipse.swt.graphics.Color color)`
`void` `setBackground(org.eclipse.swt.graphics.Image image)` Sets an image
`void` `setBottomMargin(int bottomMargin)` Sets a margin
`void` `setFont(org.eclipse.swt.graphics.Font font)`
`void` `setGIF(java.io.InputStream inputStream)` Sets the GIF
`void` `setGIF(java.lang.String path)` Sets the GIF
`void` `setImage(org.eclipse.swt.graphics.Image image)` Sets the image
`void` `setLeftMargin(int leftMargin)` Sets a margin
`void` `setProgressProvider(ComponentStatusLabelProgressProvider provider)` Sets a progress provider, if any
`void` `setRightMargin(int rightMargin)` Sets a margin
`void` `setText(java.lang.String text)` Sets the text
`void` `setToolTipText(java.lang.String string)`
`void` `setTopMargin(int topMargin)` Sets a margin
`void` `updateImage(org.eclipse.swt.graphics.Image image)` Updates the image

### Methods inherited from class org.eclipse.swt.widgets.Canvas

`drawBackground, getCaret, getIME, scroll, setCaret, setIME`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, getData, getData, getDisplay, getListeners, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentStatusLabel

    public ComponentStatusLabel(org.eclipse.swt.widgets.Composite parent,
                                int style)

Creates a new instance

Parameters:
  `parent` -
  `style` -

### Method Detail

#### computeSize

    public org.eclipse.swt.graphics.Point computeSize(int wHint,
                                                      int hHint,
                                                      boolean changed)

Overrides:
  `computeSize` in class `org.eclipse.swt.widgets.Composite`

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `org.eclipse.swt.widgets.Widget`

#### getAlignment

    public int getAlignment()

Returns the alignment

Returns:

#### getBottomMargin

    public int getBottomMargin()

Returns a margin

Returns:

#### getImage

    public org.eclipse.swt.graphics.Image getImage()

Returns the image

Returns:

#### getLeftMargin

    public int getLeftMargin()

Returns a margin

Returns:

#### getRightMargin

    public int getRightMargin()

Returns a margin

Returns:

#### getStyle

    public int getStyle()

Overrides:
  `getStyle` in class `org.eclipse.swt.widgets.Widget`

#### getText

    public java.lang.String getText()

Returns the text

Returns:

#### getToolTipText

    public java.lang.String getToolTipText()

Overrides:
  `getToolTipText` in class `org.eclipse.swt.widgets.Control`

#### getTopMargin

    public int getTopMargin()

Returns a margin

Returns:

#### setAlignment

    public void setAlignment(int align)

Sets the alignment

Parameters:
  `align` -

#### setBackground

    public void setBackground(org.eclipse.swt.graphics.Color color)

Overrides:
  `setBackground` in class `org.eclipse.swt.widgets.Control`

#### setBackground

    public void setBackground(org.eclipse.swt.graphics.Image image)

Sets an image

Parameters:
  `image` -

#### setBottomMargin

    public void setBottomMargin(int bottomMargin)

Sets a margin

Parameters:
  `bottomMargin` -

#### setFont

    public void setFont(org.eclipse.swt.graphics.Font font)

Overrides:
  `setFont` in class `org.eclipse.swt.widgets.Canvas`

#### setGIF

    public void setGIF(java.io.InputStream inputStream)

Sets the GIF

Parameters:
  `inputStream` -

#### setGIF

    public void setGIF(java.lang.String path)

Sets the GIF

Parameters:
  `path` -

#### setImage

    public void setImage(org.eclipse.swt.graphics.Image image)

Sets the image

Parameters:
  `image` -

#### setLeftMargin

    public void setLeftMargin(int leftMargin)

Sets a margin

Parameters:
  `leftMargin` -

#### setProgressProvider

    public void setProgressProvider(ComponentStatusLabelProgressProvider provider)

Sets a progress provider, if any

Parameters:
  `provider` -

#### setRightMargin

    public void setRightMargin(int rightMargin)

Sets a margin

Parameters:
  `rightMargin` -

#### setText

    public void setText(java.lang.String text)

Sets the text

Parameters:
  `text` -

#### setToolTipText

    public void setToolTipText(java.lang.String string)

Overrides:
  `setToolTipText` in class `org.eclipse.swt.widgets.Control`

#### setTopMargin

    public void setTopMargin(int topMargin)

Sets a margin

Parameters:
  `topMargin` -

#### updateImage

    public void updateImage(org.eclipse.swt.graphics.Image image)

Updates the image

Parameters:
  `image` -